Built-Using incorrect

Bug #1824016 reported by dann frazier on 2019-04-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-signed (Ubuntu)
Undecided
dann frazier
Xenial
Medium
dann frazier
Bionic
Medium
dann frazier
Cosmic
Medium
dann frazier
Disco
Undecided
dann frazier
linux-signed-hwe (Ubuntu)
Undecided
Unassigned
Xenial
Medium
dann frazier
Bionic
Medium
dann frazier
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-signed-hwe-edge (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
dann frazier
Bionic
Medium
dann frazier
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
The Build-Using control file field is incorrect for linux-signed-hwe & linux-signed-hwe-edge. They claim they were built against the "linux" package, but should be linux-hwe/linux-hwe-edge respectively.

[Test Case]
Look at the Packages file.

[Fix]
Detect and insert the correct package name at build time.

[Regression Risk]
Hm.. maybe if something gets added using the PACKAGE keyword in control.stub that isn't intended to be replaced gets accidentally replaced, screwing up some other control field?

dann frazier (dannf) on 2019-04-09
no longer affects: linux-meta-hwe-edge (Ubuntu)
no longer affects: linux-meta-hwe (Ubuntu)
dann frazier (dannf) on 2019-04-09
summary: - Build-Using incorrect
+ Built-Using incorrect
dann frazier (dannf) on 2019-04-09
Changed in linux-signed-hwe (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-signed-hwe (Ubuntu Disco):
status: New → Invalid
Changed in linux-signed-hwe-edge (Ubuntu Disco):
status: New → Invalid
assignee: nobody → dann frazier (dannf)
Changed in linux-signed-hwe-edge (Ubuntu Cosmic):
status: New → Invalid
Changed in linux-signed (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed (Ubuntu Cosmic):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed (Ubuntu Disco):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed-hwe (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed-hwe (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
Changed in linux-signed-hwe-edge (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
dann frazier (dannf) on 2019-04-09
Changed in linux-signed-hwe-edge (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
status: New → In Progress
description: updated
Changed in linux-signed-hwe-edge (Ubuntu Disco):
assignee: dann frazier (dannf) → nobody
Changed in linux-signed (Ubuntu Disco):
status: In Progress → Fix Committed
Stefan Bader (smb) wrote :

In Xenial, hwe-edge is a meta-only source pointing at the hwe binaries. So there is no separate linux-signed.

Changed in linux-signed-hwe-edge (Ubuntu Xenial):
status: In Progress → Invalid
Changed in linux-signed-hwe (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-signed-hwe-edge (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-signed (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-signed (Ubuntu Cosmic):
importance: Undecided → Medium
status: In Progress → Fix Committed
Changed in linux-signed (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux-signed (Ubuntu Xenial):
importance: Undecided → Medium
Stefan Bader (smb) on 2019-05-14
Changed in linux-signed-hwe (Ubuntu Xenial):
importance: Undecided → Medium
status: In Progress → Fix Committed
Changed in linux-signed-hwe (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux-signed-hwe-edge (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux-signed (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 5.0.0-15.16

---------------
linux-signed (5.0.0-15.16) disco; urgency=medium

  * Master version: 5.0.0-15.16

linux-signed (5.0.0-14.15) disco; urgency=medium

  * Master version: 5.0.0-14.15

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Stefan Bader <email address hidden> Mon, 06 May 2019 19:11:54 +0200

Changed in linux-signed (Ubuntu Disco):
status: Fix Committed → Fix Released
Changed in linux-signed (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 4.4.0-150.176

---------------
linux-signed (4.4.0-150.176) xenial; urgency=medium

  * Master version: 4.4.0-150.176

linux-signed (4.4.0-149.175) xenial; urgency=medium

  * Master version: 4.4.0-149.175

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Khalid Elmously <email address hidden> Wed, 29 May 2019 14:30:59 -0400

Changed in linux-signed (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed-hwe-edge - 5.0.0-16.17~18.04.1

---------------
linux-signed-hwe-edge (5.0.0-16.17~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-16.17~18.04.1

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Wen-chien Jesse Sung <email address hidden> Mon, 20 May 2019 20:37:49 +0800

Changed in linux-signed-hwe-edge (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed-hwe - 4.18.0-21.22~18.04.1

---------------
linux-signed-hwe (4.18.0-21.22~18.04.1) bionic; urgency=medium

  * Master version: 4.18.0-21.22~18.04.1

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

linux-signed-hwe (4.18.0-20.21~18.04.1+signed1) bionic; urgency=medium

  * SecureBoot support for arm64 (LP: #1804481)
    - support recompression of signed kernels

 -- Stefan Bader <email address hidden> Thu, 16 May 2019 16:52:10 +0200

Changed in linux-signed-hwe (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 4.15.0-51.55

---------------
linux-signed (4.15.0-51.55) bionic; urgency=medium

  * Master version: 4.15.0-51.55

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Kleber Sacilotto de Souza <email address hidden> Wed, 15 May 2019 16:11:29 +0200

Changed in linux-signed (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 4.18.0-21.22

---------------
linux-signed (4.18.0-21.22) cosmic; urgency=medium

  * Master version: 4.18.0-21.22

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Stefan Bader <email address hidden> Wed, 15 May 2019 15:04:10 +0200

Changed in linux-signed (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed-hwe - 4.15.0-51.55~16.04.1

---------------
linux-signed-hwe (4.15.0-51.55~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-51.55~16.04.1

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Stefan Bader <email address hidden> Thu, 16 May 2019 10:00:03 +0200

Changed in linux-signed-hwe (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers